This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 759392 - Ubuntu 10.04 guest loses network connection if big files are downloaded in the guest
Ubuntu 10.04 guest loses network connection if big files are downloaded in th...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 04:54 EST by Enrique
Modified: 2013-01-09 19:35 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-28 20:09:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
definition of virtual manchine by libvirt (1.89 KB, text/xml)
2011-12-02 04:55 EST, Enrique
no flags Details
qemu.conf used by libvirt (9.47 KB, application/octet-stream)
2011-12-02 04:56 EST, Enrique
no flags Details

  None (edit)
Description Enrique 2011-12-02 04:54:27 EST
Description of problem:

I am using Virtual Manager and have created a virtual machine running Ubuntu 10.04. However, the guest loses the network quite often. I think that it is related to downloading big files, or maybe high network traffic. I was able to reproduce it almost all the times by running 'apt-get upgrade' in the Ubuntu guest, which causes a big network traffic (with 200 updates to be applied :).

 After the network is lost, the only way I could find to recover is to reboot the guest, which is far from desirable in a production environment.

 The interesting thing is that the Ubuntu 10.04 guest run without problems with Fedora 14 host, but after I upgraded the host to Fedora 15, it started giving problems. However, the use under Fedora 14 was scarce, and therefore I cannot tell whether it is a regression or simply I didn't spot the problem before.

 Just for the record, I have seen similar problems but with a Ubuntu 10.04 host and a Debian Squeeze guest.
 
 Maybe it is related to Bug #734731, but in principle they seem different bugs.

 I attach the qemu.conf used in libvirt and the Ubuntu-10.04.xml which defines the virtual machine

Version-Release number of selected component (if applicable):
qemu-kvm-0.14.0-8.fc15.x86_64
qemu-system-x86-0.14.0-8.fc15.x86_64
qemu-img-0.14.0-8.fc15.x86_64
qemu-common-0.14.0-8.fc15.x86_64

How reproducible:
Most of the cases

Steps to Reproduce:
1.Install a Ubuntu 10.04 guest with Virtual Manager 
2.Run apt-upgrade in the guest

This is not however the way I did it, since I installed the guest under Fedora 14 and later on I upgraded the host to Fedora 15.
Comment 1 Enrique 2011-12-02 04:55:19 EST
Created attachment 539537 [details]
definition of virtual manchine by libvirt
Comment 2 Enrique 2011-12-02 04:56:03 EST
Created attachment 539538 [details]
qemu.conf used by libvirt
Comment 3 Fedora Admin XMLRPC Client 2012-03-15 13:54:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Cole Robinson 2012-05-28 20:09:18 EDT
Given that F15 is end of life in less than a month, it's unlikely this will get fixed before hand. Enrique, if you can reproduce this issue with a later Fedora version, please reopen and we can go from there.

Note You need to log in before you can comment on or make changes to this bug.